/*! © 2026 Yahoo, Inc. UDS v0.0.0-development */
"use client";
import { createContext, useContext } from "react";
//#region src/components/client/PaddleNav/paddleNavContext.tsx
const PaddleNavContext = createContext(null);
function usePaddleNavContext() {
	const value = useContext(PaddleNavContext);
	if (!value) throw new Error("PaddleButtonPrevious, PaddleButtonNext, and PaddleNavContent must be used within a PaddleNav component.");
	return value;
}
const defaultPaddleHiddenByRole = {
	previous: false,
	next: false
};
//#endregion
export { PaddleNavContext, defaultPaddleHiddenByRole, usePaddleNavContext };
